Subject: bug#40687: Missing right border on composed text used in 'display property

From: Clément Pit-Claudel <[email-masked]>
Date: Thu, 23 Apr 2020 16:25:18 -0400

On 23/04/2020 16.07, Stephen Berman wrote:
> On Thu, 23 Apr 2020 18:48:09 +0300 Eli Zaretskii <[email-masked]> wrote:
>> Thanks, should be fixed now.
>>
> I'm on GNU/Linux and confirm that with your patch all the buttons
> produced by your recipe display correctly, i.e., with the right border.

Same here, on GNU/Linux + X as well.  Everything looks great.  Thanks a lot!

> Note that what appears
> below to be LATIN SMALL LETTER A WITH ACUTE is not a single character,
> but 2 characters that are composed into a single glyph.

I think I must have a configuration issue somewhere.  In Emacs, the accent is drawn next to the a (on the right side of it), inside the button (I have attached a screenshot)
This isn't a new problem, and it's not due to borders (the code of the repro has the same display issue, and my Emacs always behaved like this, I think), but maybe it's worth a separate bug report?

Clément.